# API Updates and Changes

## 1.9.0

*Released on 2023-11-28*

#### New Features 🎉

* Adds `@id` (i.e. DOI) to search results
* Enables dataset search by keyword with new `keyword` parameter
* Enables search for older versions of dataset metadata by identifier (i.e. `ess-dive-9727d2718c0d1d3-20230504T212419449020`)&#x20;
* Adds the identifier for the next version of metadata (i.e. `next`) and previous version (i.e. `previous`) to search results

#### **Enhancements** :sparkles:

* Enhances keyword search to lookup exact matches

## 1.8.0

*Released on 2022-11-28*

#### New Features 🎉

* Adds file size in KB to distribution items

#### **Enhancements** :sparkles:

* Updates technical Swagger documentation hosted by OpenAPI: <https://api.ess-dive.lbl.gov/#/>

## 1.7.0

*Released on 2022-08-08*

#### New Features 🎉

* Enable dataset submissions with project ID in `provider` field (new syntax example provided below)

```json
"provider": {
   "identifier": {
      "@type": "PropertyValue",
      "propertyID": "ess-dive",
      "value": "<PROJECT ID>"
   }
}
```

## 1.6.0

*Released on 2022-02-04*

#### New Features 🎉

* Enable linking out to datasets stored at external repositories
* Enable capability for anyone to search for public datasets

#### New Code Examples ✨

* Provided a python code example for streaming data file uploads
  * `update_stream_package.py` now available via [essdive-package-service-examples](https://github.com/ess-dive/essdive-package-service-examples/blob/master/code/python/update_stream_package.py) GitHub repository.

## 1.5.0

*Released on 2021-09-20*

#### New Features 🎉

Enables dataset sharing

* Enable the ability to share dataset&#x20;
* Expanded swagger Docs for dataset sharing

#### Bug Fix 🛠️

* Corrected dataset sharing typos and added sharing schema example to technical documentation

## **1.4.0**&#x20;

*Released on July 23rd, 2021*

#### **Enhancements** :sparkles:

You can now submit longer metadata descriptions

* Increase `measurementTechnique` description (i.e. Methods) character limit to <5000 characters
* Increase `description` (i.e. Abstract) character limit to <5000 characters&#x20;
* Increase `spatialCoverage` description (i.e. Geographic Description) character limit to <5000 characters

**Software Upgrades ⚙️**

* Enable support for Metacat >= 2.13.0 and Solr8

## 1.3.4

*Released on 2021-04-29*

#### Software Upgrades ⚙️&#x20;

* Main focus of this release is to support the EML 2.2.0 upgrade.

## 1.3.3

*Released on 2021-04-20*

#### Bug Fix 🛠️&#x20;

* Bug fix release for json-ld 500 Errors.

## 1.3.2

*Released on 2021-05-27*

This release includes the addition of a Berkeley Source Distribution (BSD) license to the package service.

#### Bug Fix 🛠️&#x20;

* Some bug fixes are included for accessing packages.

## 1.3.1

*Released on 2019-12-17*&#x20;

#### **Enhancements** :sparkles:

* This release enables up to 100GB data uploads. They are minor features and do not affect the API.

## 1.3.0

*Released on 2019-10-21*&#x20;

#### **Enhancements** :sparkles:

* This release enables up to 10GB data uploads.

## 1.2.0

*Released on 2019-06-26*&#x20;

#### New Features 🎉&#x20;

* Ability edit a data package&#x20;
* Data files in query results&#x20;
* Special characters should be removed from metadata filename&#x20;
* JSON-LD returned for single data package requests

This API update is backwards compatible with v1.1.0.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ess-dive.lbl.gov/programmatic-tools/ess-dive-dataset-api/change-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
